Summary:	Perform consistency checks on DNS zones
Name:		dnsdoctor
Version:	1.0.1
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://www.dnsdoctor.org/
Source0:	http://www.dnsdoctor.org/download/src/%{name}-%{version}.tar.bz2
Patch0:		dnsdoctor-1.0.1-apache_fix.diff
BuildRequires:	ruby >= 1.8
Requires:	ruby >= 1.8
Requires(pre):	apache-conf >= 2.0.54
Requires(pre):	apache-mpm >= 2.0.54
Requires:	apache-mpm >= 2.0.54
BuildArch:	noarch
Conflicts:	zonecheck
BuildRoot:	%{_tmppath}/root-%{name}-%{version}

%description
DNSdoctor is intended to help solve DNS misconfigurations or
inconsistencies that are usually revealed by an increase in
the latency of the application. The DNS is a critical resource
for every network application, so it is quite important to
ensure that a zone or domain name is correctly configured in
the DNS.

DNSdoctor is a fork of ZoneCheck v2.0.4

%package	www
Summary:	Web service interface for DNSdoctor
Group:		System/Servers
Requires:	%{name} = %{version}

%description	www
Provide a web service interface for DNSdoctor.
(DNSdoctor is intended to help solve DNS misconfigurations)

DNSdoctor is a fork of ZoneCheck v2.0.4

%prep

%setup -q -n %{name}
%patch0 -p0

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

ruby ./installer.rb configure common cli cgi \
    -DRUBY=%{_bindir}/ruby \
    -DPREFIX=%{_prefix} \
    -DPROGNAME=%{name} \
    -DHTML_PATH=/%{name} \
    -DCHROOT=%{buildroot} \
    -DLIBEXEC=%{_datadir} \
    -DBINDIR=%{_bindir} \
    -DMANDIR=%{_mandir} \
    -DDOCDIR=%{_docdir} \
    -DETCDIR=%{_sysconfdir} \
    -DCGIDIR=%{_datadir}/%{name}/www/cgi-bin \
    -DWWWDIR=%{_datadir}/%{name}/www

ruby -p -i \
	-e "\$_.gsub"\!"(/(<const\s+name\s*=\s*\"ping4\"\s+value\s*=\s*\")[^\"]*(\"\s*\/>)/, '\1/bin/ping -n -q -w 5 -c 5 %%s > /dev/null\2')" \
	-e "\$_.gsub"\!"(/(<const\s+name\s*=\s*\"ping6\"\s+value\s*=\s*\")[^\"]*(\"\s*\/>)/, '\1/usr/sbin/ping6 -n -q -w 5 -c 5 %%s > /dev/null\2')" \
	%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf

# "Patching HTML pages" don't work it seems...
perl -pi -e "s|HTML_PATH|/%{name}|g" %{buildroot}%{_datadir}/%{name}/www/html/*.html.*

# install the apache config
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -m0644 www/%{name}.conf %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf

# cleanup
rm -f %{buildroot}%{_datadir}/zonecheck/www/zonecheck.conf*

%post www
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun www
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc ChangeLog COPYING CREDITS GPL HISTORY README doc/*
%dir %{_sysconfdir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/rootservers
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/*.profile
%attr(0644,root,root) %verify(not size,not md5) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_bindir}/*
%exclude %{_datadir}/%{name}/www
%{_datadir}/%{name}
%{_mandir}/man1/*

%files www
%defattr(-,root,root,0755)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%{_datadir}/%{name}/www


%changelog
* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdv2008.0
+ Revision: 43791
- fix deps


* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2007.0
+ Revision: 101646
- Import dnsdoctor

* Sat May 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdk
- initial Mandriva package

